Adobe Acrobat Supported Versions

To read a PDF document that has been protected you need Adobe Acrobat/Reader version DC or above. To download the latest version of Adobe Acrobat: get.adobe.com/reader